version: 1
name: Tux Plan
description: Generated plan from tuxsuite cli
jobs:
- name: Tux Plan
  build:
    build_name: gcc-13-lkftconfig
    kconfig:
    #- https://storage.tuxsuite.com/public/linaro/lkft/builds/2wr5Wyj0GncW0q07o5GvnmdyReS/config
     - defconfig
     - https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/lkft.config
     - https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/lkft-crypto.config
     - https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/distro-overrides.config
     - https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/netdev.config
     - https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/systemd.config
     - https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/virtio.config
     - CONFIG_SYN_COOKIES=y
     - CONFIG_SCHEDSTATS=y
    #git_repo: https://kernel.googlesource.com/pub/scm/linux/kernel/git/next/linux-next.git
    target_arch: arm64
    toolchain: gcc-13
    #git_sha: ed61cb3d78d585209ec775933078e268544fe9a4
    environment: {}
    targets: []
    make_variables: {}
    kernel_image: ''
    image_sha: ''
    no_cache: false
    is_public: true
  tests:
  - device: gs101-oriole
    lava_test_plans_project: null
    lab: https://lkft-staging.validation.linaro.org
    bios: null
    boot_args: null
    parameters:
      SKIPFILE: skipfile-lkft.yaml
      DEPLOY_OS: debian
      LAVA_JOB_PRIORITY: 27
      MODULES_PATH: /usr/
      LAVA_QUEUE_TIMEOUT: 72
      SQUAD_URL: https://qa-reports.linaro.org//api/submit/lkft/linux-next-master/next-20250509/env/
      RUNNER: kirk
    dtb: qcom/apq8016-sbc.dtb
    kernel: null
    boot: null
    modules: null
    rootfs: https://storage.tuxboot.com/debian/20250425/trixie/arm64/rootfs.ext4.xz
    tests:
    - ltp-syscalls
    commands: []
    qemu_image: null
    timeouts:
      boot: 30
    is_public: true
    tuxbuild: https://storage.tuxsuite.com/public/linaro/lkft/builds/2wr5Wyj0GncW0q07o5GvnmdyReS/
    overlay:
    - - https://storage.tuxboot.com/overlays/debian/trixie/arm64/ltp/ltp-20250130/ltp.tar.xz
      - /

